Bug 90863 - [BXT-P] igt/pm_rpm causes [drm:skl_set_power_well [i915]] *ERROR* CSR firmware not ready (2)
Summary: [BXT-P] igt/pm_rpm causes [drm:skl_set_power_well [i915]] *ERROR* CSR firmwar...
Status: CLOSED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: cprigent
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-05 07:33 UTC by lu hua
Modified: 2016-10-12 16:02 UTC (History)
8 users (show)

See Also:
i915 platform: BXT
i915 features: power/runtime PM


Attachments
dmesg (32.93 KB, text/plain)
2015-06-05 07:33 UTC, lu hua
no flags Details
i915 errors (119.93 KB, text/plain)
2016-04-08 17:59 UTC, quachtlc
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-06-05 07:33:53 UTC
Created attachment 116308 [details]
dmesg

==System Environment==
--------------------------
Regression: not sure, only happens on drm-intel-nightly kernel.

Non-working platforms: SKL

==kernel==
--------------------------
drm-intel-nightly/7d26f93488c5aa488867b3e3769bd4b4fb88d657
commit 7d26f93488c5aa488867b3e3769bd4b4fb88d657
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Wed Jun 3 14:28:08 2015 +0300

    drm-intel-nightly: 2015y-06m-03d-11h-27m-41s UTC integration manifest

==Bug detailed description==
-----------------------------
pm_rpm causes [drm:skl_set_power_well [i915]] *ERROR* CSR firmware not ready (2).
I test it on following 10 merged branch, it only happens on drm-intel-nightly kernel.
Test kernel branch:
atomic-core  drm-intel-fixes        drm-intel-nightly  for-next
bxt-stage1   drm-intel-next-fixes   drm-misc
drm-fixes    drm-intel-next-queued  drm-next

run ./pm_rpm --run-subtest dpms-lpsp
output:
IGT-Version: 1.10-g0d16473 (x86_64) (Linux: 4.1.0-rc6_drm-intel-nightly_7d26f9_20150604+ x86_64)
Runtime PM support: 1
PC8 residency support: 0
Test assertion failure function modeset_subtest, file pm_rpm.c:774:
Failed assertion: wait_for_suspended()
Last errno: 2, No such file or directory
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [modeset_subtest+0x115]
  #2 [main+0x594]
  #3 [__libc_start_main+0xf5]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest dpms-lpsp failed.
**** DEBUG ****
Test assertion failure function modeset_subtest, file pm_rpm.c:774:
Failed assertion: wait_for_suspended()
Last errno: 2, No such file or directory
****  END  ****

==Reproduce steps==
---------------------------- 
1. ./pm_rpm --run-subtest dpms-lpsp
Comment 1 Daniel Vetter 2015-07-02 08:20:05 UTC
Known issue since merged, I raised this with vpg display bangalore to fix up the dmc loader design. Progress unfortunately is slow.
Comment 2 Vijayakannan Ayyathurai 2015-07-29 05:24:51 UTC
Hi Lu and Daniel,
we are getting the similar finding with SKL-Y platform. Does it impacts the graphics performance.?

Could you point out the particular bug?

Vijay
Comment 3 Paulo Zanoni 2015-08-04 14:14:45 UTC
Please apply the following patches and retest:

http://patchwork.freedesktop.org/patch/55916/
http://patchwork.freedesktop.org/patch/55917/
http://patchwork.freedesktop.org/patch/55918/

Does it solve the problem? Notice that not _all_ tests will pass, but we'll move from a point where 100% of the tests fail to a point where just some tests fail.
Comment 4 cprigent 2015-08-16 14:31:21 UTC
Assigned to me. I will check it.
Comment 5 Humberto Israel Perez Rodriguez 2015-12-11 05:08:33 UTC
The following tests cases failed on SKL-Y with latest setup :

pm_rpm@i2c
pm_rpm@gem-idle
pm_rpm@dpms-mode-unset-lpsp
pm_rpm@reg-read-ioctl
pm_rpm@sysfs-read
pm_rpm@gem-execbuf-stress
pm_rpm@dpms-non-lpsp
pm_rpm@fences-dpms
pm_rpm@universal-planes-dpms
pm_rpm@fences
pm_rpm@universal-planes
pm_rpm@system-suspend-execbuf
pm_rpm@cursor-dpms
pm_rpm@dpms-lpsp
pm_rpm@gem-mmap-cpu
pm_rpm@modeset-lpsp
pm_rpm@modeset-non-lpsp-stress
pm_rpm@debugfs-read
pm_rpm@legacy-planes-dpms
pm_rpm@pm-tiling
pm_rpm@modeset-non-lpsp
pm_rpm@gem-pread
pm_rpm@gem-execbuf
pm_rpm@gem-mmap-gtt
pm_rpm@dpms-mode-unset-non-lpsp
pm_rpm@modeset-stress-extra-wait
pm_rpm@gem-evict-pwrite
pm_rpm@cursor
pm_rpm@system-suspend-modeset
pm_rpm@gem-execbuf-stress-extra-wait
pm_rpm@pm-caching
pm_rpm@debugfs-forcewake-user
pm_rpm@legacy-planes
pm_rpm@modeset-lpsp-stress



 --- Hardware information ---
Motherboard model             : Skylake Client platform
Motherboard type              : Skylake Y LPDDR3 RVP3 Laptop
Motherboard manufacturer      : Intel Corporation
CPU information               : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz
GPU Card                      : Intel Corporation Sky Lake Integrated Graphics (rev 07) (prog-if 00 [VGA controller])
KSC                           : 1.15

Linux distribution: Ubuntu 15.10 LTS 64 bits
Kernel: 4.3 mainline from https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/log/?id=refs/tags/v4.3
Bios SKL: SKLSE2R1.R00.B104.B01.1511110114)
xorg-server-1.18.0 from http://cgit.freedesktop.org/xorg/xserver
libdrm-2.4.65 from http://cgit.freedesktop.org/mesa/drm/
xf86-video-intel 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
mesa-11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
libva-1.6.2.pre1 from http://cgit.freedesktop.org/libva/
vaapi-intel-driver 1.6.2.pre1 from http://cgit.freedesktop.org/vaapi/intel-driver
cairo 1.14.4 from http://cgit.freedesktop.org/cairo
Rendercheck 1.5 from http://cgit.freedesktop.org/xorg/app/rendercheck
SKL-Y :  DMC 1.23 and GUC 4.3 firmware from https://01.org/linuxgraphics/intel-linux-graphics-firmwares
IGT 1.13: http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/commit/?id=2db78a4995a8ee298ae0cd68879baf80407a0e5e
Comment 6 quachtlc 2016-04-08 17:59:44 UTC
Created attachment 122823 [details]
i915 errors
Comment 7 quachtlc 2016-04-08 18:00:20 UTC
Comment on attachment 122823 [details]
i915 errors

I'm also seeing these errors on 4.2, please let me know if there's anything I can do to test
Comment 8 quachtlc 2016-04-08 18:00:22 UTC
Comment on attachment 122823 [details]
i915 errors

I'm also seeing these errors on 4.2, please let me know if there's anything I can do to test
Comment 9 maria guadalupe 2016-04-20 21:05:34 UTC
This test is passing under the following configuration 

Software configuration
=======================
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.6.0-rc3_d9131d6 from http://cgit.freedesktop.org/drm-intel/
commit d9131d62d18ba94fb3ca019f1156c22b5f4ce23c
Author: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Date:   Fri Apr 15 14:54:26 2016 +0100
drm-intel-nightly: 2016y-04m-15d-13h-53m-44s UTC integration manifestdrm: tag libdrm-2.4.66-33-gf884af9
      libdrm 2.4.67-25 cc9a53f from git://git.freedesktop.org/git/mesa/drm
mesa 11.1.2 7bcd827 from git://git.freedesktop.org/git/mesa/mesa
cairo 1.15.2 db8a7f1 from git://git.freedesktop.org/git/cairo
xorg/xserver 1.18.0-274 8437955 from git://git.freedesktop.org/git/xorg/xserver
xf86-video-intel 2.99.917-634 81029be from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
vaapi/libva 1.7.0-1 2339d10 from git://git.freedesktop.org/git/vaapi/libva
vaapi/intel-driver 1.7.0-8 2c1bec0 from git://git.freedesktop.org/git/vaapi/intel-driver
intel-gpu-tool 1.14 7bd2ac6 from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
rendercheck master 44032a7 from http://anongit.freedesktop.org/git/xorg/app/rendercheck.git

Steps:
------
run the command :
# ./pm_rpm --run-subtest dpms-lpsp

Actual result:
---------------
The result of the test is success

test output
==============
./pm_rpm --run-subtest dpms-lpsp
IGT-Version: 1.14-g41a26b5 (x86_64) (Linux: 4.6.0-rc3-nightly+ x86_64)
Runtime PM support: 1
PC8 residency support: 0
Subtest dpms-lpsp: SUCCESS (4.862s)
Comment 10 Jairo Miramontes 2016-04-27 00:15:51 UTC
The following tests are failing on KBL using the below configuration: 

tests: 
igt@pm_rpm@modeset-lpsp-stress
igt@pm_rpm@modeset-lpsp



Software information
====================

Kernel version                      : 4.6.0-rc4-drm-intel-nightly-ww17-commit-1e81bac+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Bios revision                       : 5.5
KSC revision                        : 1.20


Hardware information
=====================

Platform                            : KBL (RVP7)
Motherboard model                   : Kabylake Client platform
Motherboard type                    : Skylake U DDR3L RVP7 Laptop
Motherboard manufacturer            : Intel Corporation
CPU family                          : Other
CPU information                     : Genuine Intel(R) CPU 0000 @ 2.60GHz
GPU Card                            : Intel Corporation Device 5916 (prog-if 00 [VGA controller])
Memory ram                          : 4 GB

Kernel
======================
commit 1e81bacf1f7fdbdf83f46b55389713fa13cb1256
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Apr 24 11:36:51 2016 +0100

    drm-intel-nightly: 2016y-04m-24d-10h-36m-11s UTC integration manifest


Kernel version : 4.6.0-rc4
Architecture : source amd64 all
Homepage : http://www.kernel.org/


Graphic stack
=====================
--> Component : drm 
                 url : http://cgit.freedesktop.org/mesa/drm 
                 tag : libdrm-2.4.67-26-g739b888 
                 commit : 739b888 
                 author : Nicolas Dechesne <nicolas.dechesne@linaro.org> 
                 age : 2 weeks ago 
 --> Component : mesa 
                 url : http://cgit.freedesktop.org/mesa/mesa 
                 tag : mesa-11.1.2 
                 commit : 7bcd827 
                 author : Emil Velikov <emil.velikov@collabora.com> 
                 age : 3 months ago 
 --> Component : xf86-video-intel 
                 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
                 tag : 2.99.917-640-gbca4e0e 
                 commit : bca4e0e 
                 author : Chris Wilson <chris@chris-wilson.co.uk> 
                 age : 2 days ago 
 --> Component : libva 
                 url : http://cgit.freedesktop.org/libva/ 
                 tag : libva-1.7.0-1-g2339d10 
                 commit : 2339d10 
                 author : Xiang Haihao <haihao.xiang@intel.com> 
                 age : 6 weeks ago 
 --> Component : vaapi (intel-driver) 
                 url : http://cgit.freedesktop.org/vaapi/intel-driver 
                 tag : 1.7.0-8-g2c1bec0 
                 commit : 2c1bec0 
                 author : peng.chen <peng.c.chen@intel.com> 
                 age : 3 weeks ago 
 --> Component : cairo 
                 url : http://cgit.freedesktop.org/cairo 
                 tag : 1.15.2 
                 commit : db8a7f1 
                 author : Bryce Harrington <bryce@osg.samsung.com> 
                 age : 5 months ago 
 --> Component : xserver 
                 url :  http://cgit.freedesktop.org/xorg/xserver 
                 tag : xorg-server-1.18.0-291-g16e4bce 
                 commit : 16e4bce 
                 author : Simon Thum <simon.thum@gmx.de> 
                 age : 2 weeks ago 
 --> Component : intel-gpu-tools 
                 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
                 tag : intel-gpu-tools-1.14-212-g1e9a3ac 
                 commit : 1e9a3ac 
                 author : Chris Wilson <chris@chris-wilson.co.uk> 
                 age : 3 days ago
Comment 11 Jairo Miramontes 2016-04-27 00:29:21 UTC
Adding full list of tests that are failing with the configuration of my previous comment

igt@pm_rpm@debugfs-read		
igt@pm_rpm@gem-execbuf-stress		
igt@pm_rpm@gem-execbuf-stress-extra-wait		
igt@pm_rpm@gem-mmap-gtt		
igt@pm_rpm@modeset-lpsp		
igt@pm_rpm@modeset-lpsp-stress		
igt@pm_rpm@modeset-stress-extra-wait		
igt@pm_rpm@pm-caching		
igt@pm_rpm@system-suspend-execbuf		
igt@pm_rpm@universal-planes		
igt@pm_rpm@universal-planes-dpms
Comment 12 cprigent 2016-04-29 11:59:14 UTC
"*ERROR* CSR firmware not ready" and pm_rpm failures are different bugs.
The pm_rpm fails on KBL are tracked by bug 93123
Comment 13 Humberto Israel Perez Rodriguez 2016-05-26 16:22:02 UTC
this test fail but it does not has the same error :


test output :
===============================================

IGT-Version: 1.14-gb88bce4 (x86_64) (Linux: 4.6.0-rc7-drm-intel-nightly-ww20-commit-5528ede+ x86_64)
(pm_rpm:6231) drmtest-DEBUG: Test requirement passed: fd >= 0
(pm_rpm:6231) drmtest-DEBUG: Test requirement passed: fd >= 0
(pm_rpm:6231) drmtest-DEBUG: Test requirement passed: drmSetMaster(fd) == 0
(pm_rpm:6231) igt-kms-DEBUG: VT: graphics mode set (mode was 0x0)
(pm_rpm:6231) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(pm_rpm:6231) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(pm_rpm:6231) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(pm_rpm:6231) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
Runtime PM support: 1
PC8 residency support: 0
(pm_rpm:6231) DEBUG: Test requirement passed: has_runtime_pm
(pm_rpm:6231) igt-core-DEBUG: Starting subtest: dpms-lpsp
(pm_rpm:6231) CRITICAL: Test assertion failure function modeset_subtest, file pm_rpm.c:743:
(pm_rpm:6231) CRITICAL: Failed assertion: wait_for_suspended()
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [modeset_subtest+0x11e]
  #2 [main+0x1ae2]
  #3 [__libc_start_main+0xf0]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest dpms-lpsp failed.
**** DEBUG ****
(pm_rpm:6231) CRITICAL: Test assertion failure function modeset_subtest, file pm_rpm.c:743:
(pm_rpm:6231) CRITICAL: Failed assertion: wait_for_suspended()
****  END  ****
Subtest dpms-lpsp: FAIL (10.812s)
(pm_rpm:6231) igt-core-DEBUG: Exiting with status code 99
(pm_rpm:6231) igt-kms-DEBUG: VT: original mode 0x0 restored



Gfx stack information
===============================================
 --> Component : drm 
	 tag : libdrm-2.4.68-4-g7aab852 
	 commit : 7aab852 
 --> Component : mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
 --> Component : cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
 --> Component : intel-gpu-tools
	 tag : intel-gpu-tools-1.14-346-gcce2ff0
	 commit : cce2ff0


Software information
===============================================
Kernel version                      : 4.6.0-rc7-drm-intel-nightly-ww20-commit-5528ede+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Bios revision                       : 138.22
KSC revision                        : 1.12
DMC revision                        : 1.07
GUC revision                        : 8.7


Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : Other
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])


kernel
===============================================
commit 2ec823981d62c56d1511bda42b8295e31ece800f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sun May 22 18:23:13 2016 +0200

    drm-intel-nightly: 2016y-05m-22d-16h-22m-45s UTC integration manifest
Comment 14 cprigent 2016-10-11 09:19:44 UTC
"*ERROR* CSR firmware not ready" is not reproduced on SKL.

Platform SKL Skull Canyon: NUC6i7KYK
CPU: Intel® Core(TM) i7-6770HQ CPU @ 2.6GHz (family 6, model 94, stepping 3)
GPU: Intel® IrisTM Pro Graphics 580 - Intel Corporation Sky Lake Integrated Graphics (rev 09)
Motherboard version: H90766-405
Memory: 2 x 4GB card Kingston KVR21S15S8/4

Software
Bios: KYSKLi70.86A.0041.2016.0817.1130 from https://downloadcenter.intel.com/downloads/eula/26210/BIOS-Update-KYSKLi70-86A-?httpDown=https%3A%2F%2Fdownloadmirror.intel.com%2F26210%2Feng%2FKY0041.bio
Linux distribution: Ubuntu 16.04 64 bits
DMC 1.26 from https://01.org/sites/default/files/downloads/intelr-graphics-linux/skldmcver126.tar_1.bz2
GUC 6.1 from https://01.org/sites/default/files/downloads/intelr-graphics-linux/sklgucver61.tar.bz2
Kernel: 4.8.0 f35ed31 from http://cgit.freedesktop.org/drm-intel/
  commit f35ed31aea66b3230c366fcba5f3456ae2cb956e
  Author: Jani Nikula <jani.nikula@intel.com>
  Date:   Mon Oct 10 14:29:09 2016 +0300
  drm-intel-nightly: 2016y-10m-10d-11h-28m-51s UTC integration manifest
libdrm-2.4.71 a44c9c3 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-12.0.0 8b06176 from git://anongit.freedesktop.org/mesa/mesa
cairo 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
xorg-server-1.18.99.901-76 97a8353 from git://git.freedesktop.org/git/xorg/xserver
xf86-video-intel 2.99.917-712 696f58f from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
libva-1.7.2-38 3b7e499 from git://git.freedesktop.org/git/vaapi/libva 
vaapi-intel-driver: 1.7.2-133 dd73514 from git://git.freedesktop.org/git/vaapi/intel-driver
IGT: intel-gpu-tools-1.16-59 48a9e1e from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git

External screens: ASUS PB287Q (DP), DELL P2715Qt (HDMI)
Comment 15 cprigent 2016-10-12 16:02:24 UTC
"*ERROR* CSR firmware not ready" is also not reproduced on APL.

Platform BXT-P: APL system
CPU Name : Intel(R) Genuine Processor @ 1.1 GHz (family: 6, model: 12, stepping: 9) 4 cores
QDF : Q6HE
SoC : B1
CRB : Apollo Lake DDR3L RVP1A FAB2

Software 
Bios: 144_B10 APLK_B0_IFWI_X64_R_2016_06_27_0956_SPI_RVP1.bin from \\gar\ec\proj\ba\CCG\APL BIOS\External\BIOS_Release\Daily\v144_10_2016_WW27.1\IFWI\IFWI_RVP1_Release\IFWI
KSC: 1.15
Linux distribution: Ubuntu 16.04 64 bits
DMC 1.07
GuC 8.7
Kernel: 4.8.0 f35ed31 from http://cgit.freedesktop.org/drm-intel/
  commit f35ed31aea66b3230c366fcba5f3456ae2cb956e
  Author: Jani Nikula <jani.nikula@intel.com>
  Date:   Mon Oct 10 14:29:09 2016 +0300
  drm-intel-nightly: 2016y-10m-10d-11h-28m-51s UTC integration manifest
libdrm-2.4.71 a44c9c3 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-12.0.0 8b06176 from git://anongit.freedesktop.org/mesa/mesa
cairo 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
xorg-server-1.18.99.901-76 97a8353 from git://git.freedesktop.org/git/xorg/xserver
xf86-video-intel 2.99.917-712 696f58f from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
libva-1.7.2-38 3b7e499 from git://git.freedesktop.org/git/vaapi/libva 
vaapi-intel-driver: 1.7.2-133 dd73514 from git://git.freedesktop.org/git/vaapi/intel-driver
IGT: intel-gpu-tools-1.16-59 48a9e1e from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
External screens: ASUS PB238Q (HDMI), LG 25UM55D (DP)
Comment 16 cprigent 2016-10-12 16:02:34 UTC
so closed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.